<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.ueno.reactnativestarter"
    android:versionCode="1"
    android:versionName="1.0.0">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE"/>
  
    <permission
      android:name="android.permission.ACCESS_COARSE_LOCATION"
      android:protectionLevel="signature" />
    <permission
      android:name="android.permission.ACCESS_FINE_LOCATION"
      android:protectionLevel="signature"/>

    <application
      android:name=".MainApplication"
      android:allowBackup="true"
      android:usesCleartextTraffic="true"
      android:label="@string/app_name"
      android:icon="@mipmap/ic_launcher"
      android:theme="@style/AppTheme">
      <uses-library android:name="org.apache.http.legacy" android:required="false"/>
      <activity
        android:name=".MainActivity"
        android:label="@string/app_name"
        android:launchMode="singleTask"
        android:configChanges="keyboard|keyboardHidden|orientation|screenSize"
        android:windowSoftInputMode="adjustResize">
        <intent-filter>
            <action android:name="android.intent.action.MAIN" />
            <category android:name="android.intent.category.LAUNCHER" />
        </intent-filter>
        <intent-filter>
            <action android:name="android.intent.action.VIEW" />
            <category android:name="android.intent.category.DEFAULT"/>
            <category android:name="android.intent.category.BROWSABLE"/>
            <data android:scheme="react-native-starter"/>
        </intent-filter>
      </activity>
      <meta-data
        android:name="com.google.android.geo.API_KEY"
        android:value="AIzaSyBncrXaYVl-AnD38Aa9unWSMVOEmz5rCQY"/>
    </application>

</manifest>
